Bug 25218

Summary: radeonhd unreliably reads EDID of a TV connected to VGA_1
Product: xorg Reporter: Josip Rodin <joy+freedesktop>
Component: Driver/radeonhdAssignee: Egbert Eich <eich>
Status: RESOLVED WONTFIX QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: 7.4 (2008.09)   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Josip Rodin 2009-11-21 17:28:15 UTC
Hi,

I've got a Thinkpad T400 (the same one described previously in bug 22279 :) with a Mobility Radeon HD 3400.

When I run Windows (Vista) and plug in my Sony TV into the VGA port on the laptop, that driver notices that something's been plugged in and responds by sending over a normal picture to it, max resolution 1360x768.

However, the Linux driver doesn't seem to get it. xrandr consistently shows that VGA_1 is "disconnected". I can force it, with a script like this: 

xrandr --output VGA_1 --off
xrandr --prop
xrandr --output VGA_1 --auto
xrandr --newmode 1360x768_60.00 84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync
xrandr --addmode VGA_1 1360x768_60.00
xrandr --output VGA_1 --mode 1360x768_60.00
xrandr --output VGA_1 --left-of PANEL
xrandr --prop

I often have to run this script several times before it catches on. Eventually however it works, and then the card starts sending output via VGA out.
If I run xrandr --prop, it *occasionally* reports:

VGA_1 connected 1360x768+0+0 (normal left inverted right x axis y axis) 1600mm x 900mm
        EDID_DATA:
                00ffffffffffff004dd900ff01010101
                1412010308a05a780a0dc9a057479827
                12484c21080081800101010101010101
                010101010101662150b051001b304070
                360040846300001e0e1f008051001e30
                4080370040846300001c000000fd0039
                3f1e3109000a202020202020000000fc
                00534f4e592054560a2020202020005a
        _PanningArea: 
        _OutputNumber: 3 (0x00000003)
        ConnectorNumber: 3 (0x00000003)
        ConnectorType:  VGA
        SignalFormat:   VGA
                supported: VGA         
   1360x768       60.0 +   60.0  
   1280x768       59.9  
   1024x768       60.0  
   800x600        60.3  
   640x480        60.0  
   1360x768_60.00   59.8* 

Other times, it's just:

VGA_1 disconnected (normal left inverted right x axis y axis)
        _PanningArea: 
        _OutputNumber: 3 (0x00000003)
        ConnectorNumber: 3 (0x00000003)
        ConnectorType:  VGA
        SignalFormat:   VGA
                supported: VGA         
   1360x768_60.00   59.8  

In any case, once the picture is turned on, it looks like the driver continues to have some kind of a problem - the picture flickers and keeps getting readjusted, and the Xorg and xfdesktop processes start eating a lot of CPU.

I then proceed to run:
xrandr --output VGA_1 --preferred
and
xrandr --prop
a few more times, and eventually everything settles down, and I get 1360x768 on the other screen.

Please help :)
Comment 1 Jeremy Huddleston Sequoia 2011-10-16 15:58:48 UTC
Does this issue occur with the preferred ati driver (xf86-vide-ati)?  If so, please move this to the Driver/Radeon component.  

Development of radeonhd has pretty much halted and development focus is on the ati driver.  Please see http://www.x.org/wiki/radeonhd

If the issue does not exist in the ati driver (or if there is no response to this message), this bug will be closed as WONTFIX unless someone contributes a patch.
Comment 2 Jeremy Huddleston Sequoia 2011-11-07 15:40:35 UTC
Closing due to lack of response.  Please reopen and move to the Driver/Radeon 
component if this issue persists with xf86-video-ati

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.